SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces
HTTPConnection2.h File Reference

Contains HTTPConnection2, used to communicate with web servers. More...

`#include "NativeFeatureIncludes.h"`
`#include "Export.h"`
`#include "string.h"`
`#include "memoryoverride.h"`
`#include "types.h"`
`#include "DS_List.h"`
`#include "DS_Queue.h"`
`#include "PluginInterface2.h"`
`#include "SimpleMutex.h"`

Go to the source code of this file.

## Classes

class | SLNet::HTTPConnection2
| Use HTTPConnection2 to communicate with a web server. More...
struct | SLNet::HTTPConnection2::Request

## Namespaces

namespace | SLNet
| Simple class to send changes between directories. In essence, a simple autopatcher that can be used for transmitting levels, skins, etc.

## Detailed Description

Contains HTTPConnection2, used to communicate with web servers.

Definition in file HTTPConnection2.h.

## Class Documentation

struct SLNet::HTTPConnection2::Request

Definition at line 85 of file HTTPConnection2.h.

Class Members
size_t | bytesReadForThisChunk |
bool | chunked |
int | contentLength |
ptrdiff_t | contentOffset |
RakString | host |
SystemAddress | hostCompletedAddress |
SystemAddress | hostEstimatedAddress |
int | ipVersion |
unsigned short | port |
RakString | stringReceived |
RakString | stringToTransmit |
size_t | thisChunkSize |
void * | userData |
bool | useSSL |